Welcome to the iFans Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!

Can I deploy app to iphone 3gs iOS 4 from XCode_3.1.4_iPhone_SDK_3.1.2 directly

Discussion in 'iOS Development' started by linkou.bian@gmail.com, Aug 17, 2010.

  1. linkou.bian@gmail.com

    linkou.bian@gmail.com New Member

    Joined:
    Sep 17, 2009
    Messages:
    18
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    Currently I installed XCode_3.1.4_iPhone_SDK_3.1.2 on Mac OSX 10.5.8, and I plan to buy an iphone 3gs 8G iOS 4 in the following days. I heard from friends that iOS 4 can't be downgraded to 3.x!

    My question is, can XCode_3.1.4_iPhone_SDK_3.1.2 deploy app to iOS 4 device via iDP? Should I upgrade system to 10.6.4 and install Xcode_3.2.3_iOS_SDK_4.0.2?

    For jailbreak iOS 4, does ldid still work well? Or some other tools for code signing?

    I didn't try with iOS 4 yet, so could you give me some help, thanks in advance.

    Linkou Bian
    Email/MSN: linkou.bian@gmail.com
  2. i.think.different

    i.think.different Banned

    Joined:
    Mar 2, 2010
    Messages:
    944
    Likes Received:
    4
    Device:
    iPhone 4 (Black)
    You will need the latest version of xcode to do anything with iOS 4.
  3. raufan

    raufan New Member

    Joined:
    Feb 8, 2009
    Messages:
    16
    Likes Received:
    0
    Device:
    iPhone 3GS (Black)
  4. linkou.bian@gmail.com

    linkou.bian@gmail.com New Member

    Joined:
    Sep 17, 2009
    Messages:
    18
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    Thanks. I'll read the tutorial. Do you have a direct answer to my question?
    ------------------double post merged------------------
    Many thanks~
    ------------------double post merged------------------
    raufan, the post you provided is about Xcode 3.2.3 with sdk 4 installed on snow leopard. But my question is all about the connection between old xcode/iphone_sdk and device with new firmware. Anyway, thanks.

Share This Page